Subject: Re: git pull aborts in 50% of cases

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 03 Dec 2005 11:21:50 -0800

Junio C Hamano wrote:
> "H. Peter Anvin" <[email-masked]> writes:
> 
> 
>>/pub is a symbolic link.  We shouldn't rely on getcwd() for this kind of 
>>stuff; it's bad for a whole bunch of reasons.
> 
> 
> Well, if I recall correctly it was done this way because
> DWIMmery needs to be done before the validation.
> 
> Anyway, here is a rewrite of tonight (I resurrected your "belts
> and suspenders paranoia patch" for this).  Would appreciate it
> if people can try this out (in the proposed updates branch).
> 
> The rules (in 0.99.9k and "master" so far) have been that if you
> have symlinked public, whitelist should say what the canonical
> names of them are (and the way canonical names are obtained were
> getcwd()).  The rule of this patch is different: whitelist says
> what the remote requestor can ask for.  So if your /pub is a
> symlink to /mnt/mnt1/pub, you do not have to say /mnt/mnt1/pub
> to export it.  Instead you whitelist /pub (or /pub/scm).  Also
> if your ~bob is /home1/bob and ~alice is /home2/alice, you do
> not say "/home1 /home2" -- instead, you say "~alice ~bob".
> 

Yup, this is the way to do it.  Forcing people to use canonical names is 
quite a nonstarter.

	-hpa